function [u,v]=Shanon(N);
%Shanon biorthogonal basis wavelet 
%
% [u,v]=Shanon(N);
%
% N - lenght of the basis
% u,v - mather,father wavelets
%

%N = 512;

u_ = [repmat(sqrt(2),1,N/4),repmat(0,1,N/2),repmat(sqrt(2),1,N/4)];
u_(N/4+1) = i;
u_(3*N/4+1) = -i;

v_ = [repmat(0,1,N/4),repmat(sqrt(2),1,N/2),repmat(0,1,N/4)];
v_(N/4+1) = 1;
v_(3*N/4+1) = 1;

u = idft(u_); 
v = idft(v_);

%figure(1),
%plot(real(Rk(N/2,u)),'b');

%figure(2),
%plot(real(Rk(N/2,v)),'r');
