function [F,G]=get_fg(p, u1,v1)
%
% [F,G]=get_fg(p, u1,v1)
%
% F = [f1,f2, ... ,fp] (columns)
% G = [g1,g2, ... ,gp]
%

fl = v1;
gl = u1; 

F=fl';
G=gl';

for l=1:p-1,
   ul = get_ul(l+1,u1); %not optimal
   vl = get_ul(l+1,v1); %not optimal
   
   fl = convol(gl,Ul(l,vl));
   gl = convol(gl,Ul(l,ul));
   
   F(:,end+1) = fl';
   G(:,end+1) = gl';
end
