function [zw]=convol(z,w);
%convolution z*w
%
% [zw]=convol(z,w);
%
% method:
%   z*w(k) = <z,Rkw~> (direct computation)
%

transponed = 0;

if size(z,2)==1,
   z = z';
   w = w';
   transponed = 1;
end

M=length(z);
N=length(w);

if N<M,
   w = [w, zeros(1,M-N)];
end

if M<N
   z = [z, zeros(1,N-M)];
end

%---------

w_ = conj(Rk(1,fliplr(w))); %w~(n) = conj(-n)

zw=[];
for k=0:length(z)-1,
   zw(end+1)=z*Rk(k,w_)';
end
%---------


if transponed,
   zw=zw';
end
