function [zw]=convolf(z,w);
%convolution z*w
%
% [zw]=convolf(z,w);
%
% method:
%   z*w = idft(dft(z).dft(w))  (via fourier transformation)
%  


transponed = 0;

if size(z,2)==1,
   z = z';
   w = w';
   transponed = 1;
end

M=length(z);
N=length(w);

if N<M,
   w = [w, zeros(1,M-N)];
end

if M<N
   z = [z, zeros(1,N-M)];
end

%---------
zw = idft(dft(z).*dft(w));
%---------

if transponed,
   zw=zw';
end



