function [z_] = wt(z, u,v)
%WT: wavelet transformation
%
% [z_] = wt(z, u,v) 
%
% u,v - mather,father wavelets
% z   - input signal
%
% z_  - transformed signal
%

u_ = conj(Rk(1,fliplr(u))); 
v_ = conj(Rk(1,fliplr(v))); 

if size(z,1)==1,
   z_ = [D2(convolf(z,v_)),D2(convolf(z,u_))];
else
   z_ = [D2(convolf(z,v_));D2(convolf(z,u_))];
end

