function [z_]=wt_p(z, u,v,p);
%pth stage wavelet transform 
%
% [z_]=wt_p(z, u,v,p);
%
% z - input signal
% u,v - mather, father wavelet
% p - number of stages 
% 
% z_ - output signal
%
%(Iterative step method)
%
%

N = length(u);

u_ = conj(Rk(1,fliplr(u))); %u~
v_ = conj(Rk(1,fliplr(v))); %v~

z_=[];
yl = z;
for l=1:p,
   ul = get_ul(l,u_); %not optimal
   vl = get_ul(l,v_); %not optimal
   
   xl = D2(convolf(yl,vl));
   yl = D2(convolf(yl,ul));
   
   z_ = [z_,xl];
end
z_ = [z_,yl];

